Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssaha
Class SequenceStreamer.SequenceDBStreamer

    java.lang.Object
      org.biojava.bio.program.ssaha.SequenceStreamer.SequenceDBStreamer

All Implemented Interfaces:
  SequenceStreamer

Enclosing interface:
  SequenceStreamer

    public static class SequenceStreamer.SequenceDBStreamer

extends Object
implements SequenceStreamer

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.ssaha.SequenceStreamer
`SequenceStreamer.FileStreamer, SequenceStreamer.SequenceDBStreamer`

Constructor Summary
`SequenceStreamer.SequenceDBStreamer(SequenceDB seqDB)`

Method Summary
`boolean` | `hasNext()`
`void` | `reset()`
`void` | `streamNext(SeqIOListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceStreamer.SequenceDBStreamer

    public SequenceStreamer.SequenceDBStreamer(SequenceDB seqDB)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `SequenceStreamer`

### reset

    public void reset()

  Specified by:
    `reset` in interface `SequenceStreamer`

### streamNext

    public void streamNext(SeqIOListener listener)
                    throws BioException

  Specified by:
    `streamNext` in interface `SequenceStreamer`
  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD